#include <stdio.h>

int main() {
    long long int N,L,i;
    scanf("%lld %lld",&N,&L);

    long long int H[N];
    for (i=0;i<N;i++)
        scanf("%lld",&H[i]);

    for (i=0;i<N;i++)
	{
        if (H[i]<=L)
        {
            printf("%lld\n",i+1);
            return 0;
   		}
	}

    printf("-1");
    return 0;
}